//	ExampleAtlas.h - Example of how TextureAtlas should be subclassed.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef EXAMPLEATLAS_H_
#define EXAMPLEATLAS_H_

#include "TextureAtlas.h"

///	Example of how TextureAtlas should be subclassed.
class ExampleAtlas : public TextureAtlas
{
  public:
	///	Constructor.
	ExampleAtlas();
  private:
	///	The number of images in this atlas.
	enum
	{
		NumImages = 4
	};

	///	The image data.
	static const unsigned char *imageData;
	///	The size of the image data.
	static const int imageDataSize;
	///	The AtlasImages information.
	static const AtlasImage images[NumImages];
};

#endif
