#include "FilePath.h"
#include "UTF8File.h"

#include <iostream>

using namespace std;

int main(int argc, char **argv)
{
	//setlocale(LC_ALL, "en_us.UTF-8");

#ifndef OSX
	cout << "INSTALL_DIR = " << INSTALL_DIR << endl;
#endif

	cout << "NiallsAVLib UTF8File Tester" << endl;
	cout << "---------------------------" << endl << endl;

	cout << "Current locale is: " << setlocale(LC_ALL, NULL) << endl << endl;

	cout << "Character conversion:" << endl;

	wstring widestr(L"Hello ÀÁÂÃÄÅÆÈÇÉÊËÌÍÎÏÐÑÒÓÔÕÖØß\n");
	wstring widestr2;
	wstring widestr3;
	string narrowstr;
	string narrowstr2;
	string narrowstr3("Hello World");
	string narrowstr4;

	UTF8File::wstringToChar(widestr, narrowstr);
	cout << "wstringToChar: " << narrowstr << endl;

	UTF8File::charToWstring(narrowstr, widestr2);
	UTF8File::wstringToChar(widestr2, narrowstr2);
	cout << "charToWstring (& back again): " << narrowstr2 << endl;

	UTF8File::charToWstring(narrowstr3, widestr3);
	UTF8File::wstringToChar(widestr3, narrowstr4);
	cout << "charToWstring (& back again): " << narrowstr4 << endl;

	cout << endl << "File loading/saving:" << endl;

	{
		wstring wideRead;
		string narrowRead;
#ifdef LINUX
		UTF8File phil(FilePath(L"/home/niall/Programming/Applications/NiallsAVLibProject/build/UTF8Test/unicodeText.txt"));
#else
		UTF8File phil(FilePath(L"/Users/niallmoody/unicodeText.txt"));
#endif

		phil.readFile(wideRead, true);
		UTF8File::wstringToChar(wideRead, narrowRead);
		cout << "unicodeText.txt contents:" << endl;
		cout << narrowRead << endl;
	}
	{
#ifdef LINUX
		UTF8File phil(FilePath(L"/home/niall/unicodeOutput.txt"));
#else
		UTF8File phil(FilePath(L"/Users/niallmoody/unicodeOutput.txt"));
#endif

		cout << "Writing unicode text to /Users/niallmoody/unicodeOutput.txt..." << endl;
		phil.writeText(widestr);
		cout << "...written" << endl;
	}

	return 0;
}

