﻿/*	GLESDrawerShader.vert - The default shader for GLESDrawer.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

//--In Variables----------------------------------------------------------------
//Position of the vertex.*/
attribute vec4 avlVertexPosition;

/*Our projection matrix.*/
attribute mat4x4 avlProjectionMatrix;
/*Our modelview matrix.*/
attribute mat4x4 avlModelviewMatrix;

/*Texture coordinates for the base texture.*/
attribute vec2 avlBaseTexCoords;
/*Texture coordinates for the second texture.*/
attribute vec2 avlSecondTexCoords;

/*--Out Variables---------------------------------------------------------------
//Texture coordinates for the base texture.*/
varying vec2 avlFragBaseTexCoords;
/*Texture coordinates for the second texture.*/
varying vec2 avlFragSecondTexCoords;

/*------------------------------------------------------------------------------*/
void main()
{
	avlFragBaseTexCoords = avlBaseTexCoords;
	avlFragSecondTexCoords = avlSecondTexCoords;
	gl_Position = avlModelviewMatrix * avlVertexPosition * avlProjectionMatrix;
}
