//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "GrassTile.h"
#include "Rock.h"
#include "spaceNoise.h"
#include "SmallImages.h"
#include "PlasmaShader.h"
#include "point.h"
#include "NonPowerOfTwo.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"knewave.ttf"), 32, L"font1")));
	registerSingleImage(shared_ptr<SingleImage>(new GrassTile()));
	registerSingleImage(shared_ptr<SingleImage>(new Rock()));
	registerSingleImage(shared_ptr<SingleImage>(new spaceNoise()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new SmallImages()));
	registerShader(shared_ptr<Shader>(new PlasmaShader()));
	registerSingleImage(shared_ptr<SingleImage>(new point()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part1_Introduction.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part2_TheBladeInMyChest.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part3_OurStoriesAreWrong.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_letter_ys.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_oblique.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_ready_ready.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_rough_tones.ogg"));
	registerSingleImage(shared_ptr<SingleImage>(new NonPowerOfTwo()));
}
